Skip to main content
GET
/
api
/
budget-envelopes
List budget envelopes for a planning period
curl --request GET \
  --url https://app.solya.app/api/budget-envelopes \
  --header 'Authorization: Bearer <token>'
[
  {
    "amount": 500000,
    "createdAt": "2026-01-10T08:00:00.000Z",
    "currency": "EUR",
    "id": "envelope-uuid-1",
    "periodId": "period-uuid-123",
    "scope": "TOTAL",
    "scopeValue": null,
    "updatedAt": null
  },
  {
    "amount": 120000,
    "createdAt": "2026-01-11T09:00:00.000Z",
    "currency": "EUR",
    "id": "envelope-uuid-2",
    "periodId": "period-uuid-123",
    "scope": "BRAND",
    "scopeValue": "brand-uuid-abc",
    "updatedAt": null
  }
]

Authorizations

Authorization
string
header
required

User session token issued by NextAuth. For human users accessing Solya via the web application.

Query Parameters

periodId
string
required
Minimum string length: 1
scope
enum<string>
Available options:
TOTAL,
BRAND,
DEPARTMENT,
COLLECTION

Response

Successful response

data
object[]
required
success
enum<boolean>
required
Available options:
true